unit uScrollboxOptionsThree;

{******************************************************************************
Initial Author   :    Scott Price
Initially Created:    2003-10-20
Language         :    Object Pascal
Compiler Version :    Delphi 3.02, 4.03, 5.01, 6.02 (UK)
Copyright        :     Information Technology Sector Limited, 1996-2002

Source Code Constraints:
========================
   Distribution, disclosure or modifications of this source code, outside of
   any licenced agreements with Information Technology Sector Limited, or
   removal of this notice constitutes a breach of any or all license agreements.

Operating Systems Tested On:
============================
   Microsoft Windows(R) 98, First Edition
   Microsoft Windows(R) 2000, Service Pack 3

Design Notes:
=============

VERSION  AUTHOR                DATE/TIME
===============================================================================
$history$
$nokeywords$
===============================================================================
NOTES:
===============================================================================
TODO:
******************************************************************************}

interface



uses
  { Borland Standard Units }
  Classes, Forms, ExtCtrls, DBGrids, Controls, StdCtrls;


type
  { TOptionsThree }

  TOptionsThree = class(TScrollBox)
  private
    { Private Declarations }
    RadioGroup2: TRadioGroup;
    DBGrid1: TDBGrid;
    btnCheckOrderStock: TButton;
    btnConfirnAndCreateOrder: TButton;
    procedure btnConfirnAndCreateOrderClick(Sender: TObject);
  protected
    { Protected Declarations }
    procedure btnCheckOrderStockClick(Sender: TObject);
  public
    { Public Declarations }
    constructor Create(AOwner: TComponent; Parent: TWinControl); overload;
  published
    { Published Declarations }
  end;



implementation



uses
  { Borland Standard Units }
  Windows, Graphics, DB;


  { TOptionsThree }

constructor TOptionsThree.Create(AOwner: TComponent; Parent: TWinControl);
begin
  Create(AOwner);

  RadioGroup2 := TRadioGroup.Create(Self);
  DBGrid1 := TDBGrid.Create(Self);
  btnCheckOrderStock := TButton.Create(Self);
  btnConfirnAndCreateOrder := TButton.Create(Self);

  Self.Parent := Parent;
  Align := alClient;
  TabOrder := 0;

  with RadioGroup2 do
  begin
    Name := 'RadioGroup2';
    Parent := Self;
    Left := 12;
    Top := 16;
    Width := 293;
    Height := 89;
    Caption := ' Selects Three ';
    Items.Add('Yet Another Option Item 1');
    Items.Add('Yet Another Option Item 2');
    Items.Add('Yet Another Option Item 3');
    TabOrder := 0;
  end;
  with DBGrid1 do
  begin
    Name := 'DBGrid1';
    Parent := Self;
    Left := 16;
    Top := 120;
    Width := 565;
    Height := 193;
    TabOrder := 1;
    TitleFont.Charset := DEFAULT_CHARSET;
    TitleFont.Color := clWindowText;
    TitleFont.Height := -11;
    TitleFont.Name := 'MS Sans Serif';
    TitleFont.Style := [];
    with Columns.Add do begin 
      Expanded := False;
      Title.Caption := 'Item Code';
      Visible := True;
    end;
    with Columns.Add do begin 
      Expanded := False;
      Title.Caption := 'Quantity';
      Visible := True;
    end;
    with Columns.Add do begin 
      Expanded := False;
      Title.Caption := 'Price';
      Visible := True;
    end;
  end;
  with btnCheckOrderStock do
  begin
    Name := 'btnCheckOrderStock';
    Parent := Self;
    Left := 16;
    Top := 320;
    Width := 209;
    Height := 25;
    Caption := 'Check Order Stock';
    TabOrder := 2;
    OnClick := btnCheckOrderStockClick;
  end;
  with btnConfirnAndCreateOrder do
  begin
    Name := 'btnConfirnAndCreateOrder';
    Parent := Self;
    Left := 232;
    Top := 320;
    Width := 349;
    Height := 25;
    Caption := 'Confirn And Create Order';
    TabOrder := 3;
    OnClick := btnConfirnAndCreateOrderClick;
  end;
end;

procedure TOptionsThree.btnCheckOrderStockClick(Sender: TObject);
var
  I, iRecords: Integer;
  dst: TDataSet;
begin
  if (DBGrid1.DataSource <> Nil) AND (DBGrid1.DataSource.DataSet <> Nil) then
  begin
    dst := DBGrid1.DataSource.DataSet;
    iRecords := dst.RecordCount - 1;

    dst.First;
    for I := 0 to iRecords do
    begin
      { Check the stock of item specified }

      if I < iRecords then
        dst.Next;
    end;
  end;
end;

procedure TOptionsThree.btnConfirnAndCreateOrderClick(
  Sender: TObject);
begin
  { Place an order for that user for the items specified }
end;

end.
